Supported browsers & platforms for Alexandria Library's website

The appearance of Alexandria Library's web site interface and performance speed may vary based on the specific web browser and browser settings you are using. Below is a list of recommended browser versions. If you are using Internet Explorer 8 or earlier, you may need to install a newer version on your computer.



Supported Versions


Internet Explorer*

9 and 10


Google Chrome

Latest Version


Mozilla Firefox

Latest Version



Latest Version


Why do I need an up-to-date browser?

  • Security: Newer browsers protect you better against scams, viruses, trojans, phishing and other threats. They also fix security holes in your current browser.
  • Speed: Each new browser generation improves speed
  • Compatibility: Websites using new technology will be displayed more correctly.


*On April 8, 2014, Microsoft will no longer support Windows XP. IE8 is the highest Internet Explorer browser available on Windows XP.